Bug 1979907 - [RFE] IPv6 fact is not being parsed for satellite hosts.
Summary: [RFE] IPv6 fact is not being parsed for satellite hosts.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Fact
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.11.0
Assignee: Lukas Zapletal
QA Contact: addubey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-07 11:47 UTC by Jameer Pathan
Modified: 2022-07-05 14:29 UTC (History)
7 users (show)

Fixed In Version: foreman-3.1.1.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:29:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33776 0 Normal Closed RHSM IPv6 fact is not being parsed for foreman hosts. 2022-01-27 15:16:53 UTC
Foreman Issue Tracker 34330 0 Normal Ready For Testing Fix IPv6 support in rhsm fact facter 2022-01-27 15:16:02 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:29:45 UTC

Description Jameer Pathan 2021-07-07 11:47:34 UTC
Description of problem:
IPv6 fact is not being parsed for satellite hosts.

Version-Release number of selected component (if applicable):
- Satellite 6.10.0 snap 7

How reproducible:
- Always

Steps to Reproduce:
1. Register a content host with satellite
2. Go to Hosts > All Hosts > Click on hostname
3. Go to NICs section

Actual results:
- IPv6 Address is empty.

Expected results:
- IPv6 Address is present.

Additional info:

Comment 2 Brad Buckingham 2021-07-08 14:19:08 UTC
Is this a regression from 6.9?

Comment 3 Evgeni Golov 2021-07-08 14:33:01 UTC
Not the author, but I believe this is not a regression as this code (in this or other forms) has been there since at least Katello 3.0 without any mention of the v6 address.

Comment 4 Ewoud Kohl van Wijngaarden 2021-07-08 15:20:23 UTC
This is only the fact uploads from RHSM (Subscription Manager). If they deploy Puppet, that will provide the IPv6 address fact via another fact parser. It looks like the Ansible fact parser is also IPv6-aware.

Comment 6 Dominik Matoulek 2021-10-25 15:18:37 UTC
Created redmine issue https://projects.theforeman.org/issues/33776 from this bug

Comment 7 Bryan Kearney 2021-11-04 13:50:47 UTC
Upstream bug assigned to dmatoule

Comment 8 Bryan Kearney 2021-11-04 13:50:48 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33776 has been resolved.

Comment 10 addubey 2021-12-27 12:24:38 UTC
FailedQA.

Version Tested: Satellite 7.0.0 Snap 3.0

Steps followed: 

1. Register a content host with satellite
2. Go to Hosts > All Hosts > Click on hostname
3. Go to NICs section

Observation: - IPv6 Address field is empty.

Comment 11 Bryan Kearney 2022-01-27 16:04:32 UTC
Upstream bug assigned to lzap

Comment 12 Bryan Kearney 2022-01-27 16:04:35 UTC
Upstream bug assigned to lzap

Comment 16 addubey 2022-02-15 10:56:00 UTC
Verified.


Tested on: Satellite-7.0.0 Snap 9.0


Steps followed: 

1. Register a content host with satellite
2. Go to Hosts > All Hosts > Click on hostname
3. Check IPv6 address on the details page



Observation: IPv6 address is present as expected.

Comment 19 errata-xmlrpc 2022-07-05 14:29:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.